<template>
  <div class="leftSideObjects">
    <template v-for="(object, index) in objects">
      <falling-object :key="index" :index="index"></falling-object>
    </template>
  </div>
</template>

<style lang="scss" scoped>
.leftSideObjects {
  position: relative;
  float: left;
  height: 100%;
  width: 50%;
}
</style>

<script>
import fallingObject from './fallingObject';

export default {
  name: 'left-side-objects',
  components: {
    fallingObject
  },
  computed: {
   objects() {
     return this.$store.state.leftSideObjects;
   }
  },
  watch: {
    objects(oldVal, newVal) {
      // Prevent moving of landed objects
      if (newVal.length > 1) {
        newVal[newVal.length - 2].landed = true;
      }
    }
  }
}
</script>